#!/usr/bin/env python3

import datetime
import pickle
import sys
from chime.database import Database
from chime.pubsub import Publisher
from chime.sensor import MS8607
from time import sleep


def show_temperature(reading):
    print(reading)


# !/usr/bin/env python3

import datetime
import pickle
import sys
from chime.database import Database
from chime.pubsub import Publisher
from chime.sensor import MS8607
from time import sleep


def show_temperature(reading):
    print(reading)


def write_reading(logfile, reading):
    logfile.write(str(reading) + '\n')
    logfile.flush()


def main(credspath='/etc/chime/creds.dat', logpath='/var/lib/pht.csv'):
    with open(credspath, 'rb') as credsfile:
        creds = pickle.loads(credsfile.read())
        db = Database(creds)
    sensor = MS8607()
    publisher = Publisher('tcp://*:4000')

    logfile = open('/var/lib/pht.csv', 'at')

    while True:
        reading = sensor.reading()
        show_temperature(reading)
        write_reading(logfile, reading)
        publisher.publish(reading.json())
        db.store(reading)
        sleep(120)


if __name__ == '__main__':
    main()


def write_reading(logfile, reading):
    logfile.write(str(reading) + '\n')
    logfile.flush()


def main(credspath='/etc/chime/creds.dat', logpath='/var/lib/pht.csv'):
    with open(credspath, 'rb') as credsfile:
        creds = pickle.loads(credsfile.read())
        db = Database(creds)
    sensor = MS8607()
    publisher = Publisher('tcp://*:4000')

    logfile = open('/var/lib/pht.csv', 'at')

    while True:
        reading = sensor.reading()
        show_temperature(reading)
        write_reading(logfile, reading)
        publisher.publish(reading.json())
        db.store(reading)
        sleep(120)


if __name__ == '__main__':
    main()
